package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.InspectRange;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yuanpan on 2017/10/19.
 */
@Repository
public interface InspectRangeRepo extends JpaRepository<InspectRange, Long> {

    List<InspectRange> findByWorkId(Long workId);

    InspectRange findByWorkIdAndActive(Long workId,boolean active);

    int countByWorkId(Long workId);
}
